#!/bin/sh
# Create new window
tmux neww -n blog

# Prepare panes & resize

tmux split-window -h
tmux resize-pane -t 0 -x 50

tmux send-keys -t 0 'cd ~/dev/_blog' C-m
tmux send-keys -t 0 'pkill zola; zola serve --interface 10.0.2.1 --base-url 10.0.2.1 --drafts' C-m

tmux send-keys -t 1 'cd ~/dev/_blog' C-m
tmux send-keys -t 1 'nvim' C-m

tmux select-pane -t 1
