#!/bin/sh
# Create new window
tmux neww -n tessoku

# Prepare panes & resize

tmux split-window -h
tmux resize-pane -t 0 -x 120

tmux send-keys -t 0 'cd ~/dev/atcoder' C-m
tmux send-keys -t 0 './oj-wrapper.py' C-m

tmux send-keys -t 1 'cd ~/dev/atcoder/contests/tessoku-book' C-m
tmux send-keys -t 1 'nvim' C-m

tmux select-pane -t 1
