#!/bin/sh
# # BACKUP
# # Create new window
# neww -n ncmpcpp;
#
# # Prepare panes & resize
# split-window -v;
# select-pane -t 0;
# split-window -h;
# split-window -h;
# resize-pane -t 0 -x 39 -y 17;
# resize-pane -t 1 -x 139 -y 17;
# resize-pane -t 2 -x 139 -y 17;
#
# # Execute commands
# send-keys -t 0 '~/.config/ncmpcpp/cover.sh' C-m;
# send-keys -t 1 'cava -p ~/.config/cava/hdmi.conf' C-m;
# send-keys -t 2 'cava -p ~/.config/cava/g433.conf' C-m;
# send-keys -t 3 'ncmpcpp' C-m;
#
# select-pane -t 3
#
# # Create new window for spotify-tui
# neww -n spt;
# send-keys 'spt' C-m;
# select-window -t ncmpcpp;

##########################################################################

# +---------------------------------+
# |            pulsemixer           |
# +---------------------------------+
# |                                 |
# |            spotify-tui          |
# |                                 |
# +---------------------------------+

# Create new window
tmux neww -n music

# Prepare panes & resize
tmux split-window -v
tmux resize-pane -t 0 -y 10
# tmux split-window -h

# send-keys -t 0 'cava -p ~/.config/cava/g433.conf' C-m;
# send-keys -t 0 'cava' C-m;

tmux send-keys -t 0 'pulsemixer' C-m
tmux send-keys -t 1 'pkill spotifyd; spotifyd; spt' C-m

tmux select-pane -t 2
